{% extends "niveau.html" %}

{% block head %}
{{ super() }}
<style type="text/css">
  #editor {
      width: 100%;
      height: 100%;
  }
</style>
{% endblock %}

{% block control %}
{{ super() }}
<div id="control0" style="width: 100%; height: 100%; box-sizing: border-box; padding: 0.5vw;">
  <div style="width: 100%; height: 100%;">
    <div id="editor">{% block editor_code %}{% endblock %}</div>
  </div>
</div>
{% endblock %}
  
{% block below_main %}
{{ super() }}
<p>
<div id="buttons" style="width: 100%; text-align: center;">
  {% block pre_buttons %}
  {% endblock %}
  <button id="reinit">
    Revenir au départ
  </button>
  &emsp;
  <button id="launch">
    Lancer le programme
  </button>
  &emsp;
  <button id="stop" disabled="true">
    Arrêter le programme
  </button>
  {% block post_buttons %}
  {% endblock %}
</div>
{% endblock %}

{% block end_body %}
<script src="{{ SITEURL }}/theme/ace/ace.js" type="text/javascript" charset="utf-8"></script>
{{ super() }}
<script type="text/javascript">
  var editor = ace.edit("editor");
  window.editor = editor;
  editor.setTheme("ace/theme/xcode");
  editor.session.setMode("ace/mode/python");
  editor.container.style.background = "rgb(240, 240, 240)"
  editor.setOptions({highlightActiveLine: true,
  highlightSelectedWord: false,
  showLineNumbers: false,
  showFoldWidgets: false,
  showGutter: false,
  displayIndentGuides: false,
  fontSize: "1vw"})
  editor.renderer.setPadding( 10 );
</script>
<script type="text/javascript">
  window.addEventListener("load", function(){ editor.resize() });
</script>
{% endblock %}
